/**
 * @jsxRuntime classic
 * @jsx jsx
 */
// eslint-disable-next-line @atlaskit/ui-styling-standard/use-compiled, @typescript-eslint/consistent-type-imports -- Ignored via go/DSP-18766; jsx required at runtime for @jsxRuntime classic
import { css, jsx } from '@emotion/react';
const separator = css({
  background: "var(--ds-border, #0B120E24)",
  width: '1px',
  height: '20px',
  margin: `0 ${"var(--ds-space-050, 4px)"}`,
  alignSelf: 'center'
});
const separatorNew = css({
  background: "var(--ds-border, #0B120E24)",
  width: '1px',
  height: '20px',
  alignSelf: 'center'
});
const separatorFullHeight = css({
  height: '40px'
});
export default (({
  fullHeight,
  areAnyNewToolbarFlagsEnabled
}) => jsx("div", {
  css: [areAnyNewToolbarFlagsEnabled ? separatorNew : separator, fullHeight && separatorFullHeight]
  // eslint-disable-next-line @atlaskit/ui-styling-standard/no-classname-prop -- Ignored via go/DSP-18766
  ,
  className: "separator"
}));